Bug 330901 - src.zip and javadoc missing sun.* classes
src.zip and javadoc missing sun.* classes
Product: Fedora
Classification: Fedora
Component: java-1.7.0-icedtea (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Thomas Fitzsimmons
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2007-10-13 15:49 EDT by Adam Goode
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-11-22 10:01:33 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adam Goode 2007-10-13 15:49:40 EDT
Description of problem:
Despite what README.src says, src.zip is missing some source files.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Look in src.zip
2. See missing sun

Actual results:
No sun.

Expected results:

Additional info:
Does it make sense to have an additional javadoc package that has the com.sun
and sun packages in it? That way, the official documentation is not tainted by
these internal classes.
Comment 1 Thomas Fitzsimmons 2007-10-15 17:46:25 EDT
Filed upstream:

Comment 2 Lillian Angel 2007-11-22 10:01:33 EST
This has been fixed in rawhide.

Note You need to log in before you can comment on or make changes to this bug.